/**
 *
 * User: Martin Donnelly
 * Date: 2016-06-23
 * Time: 11:45
 *
 */
const ftse = require('ftse');

module.exports = {

  'getFTSE': getFtse
};

function getFtse() {
  return new Promise((resolve, reject) => {
    'use strict';

    const err = 0;
    ftse('100', 10, 'risers', items => {
      if (items === err)
        return reject(err);

      return resolve(items);
    });
  });
}
